# Before executing any rpmbuild, you may define the env TCLTK_ROOT 
# as the location where TCL+TK+ITCL+TCLX+BLT+TKIMG was installed, e.g.
#  export TCLTK_ROOT=/opt/tcltk 
#

# Define _prefix as /usr/local (default) or $TCLTK_ROOT if defined
# Disable debuginfo
# Do not stript executables
%define _prefix  %(echo ${TCLTK_ROOT:-/usr/local})
%define _libdir  %(echo ${TCLTK_ROOT:-/usr/local}/lib)
%define _includedir  %(echo ${TCLTK_ROOT:-/usr/local}/include)
%define debug_package %{nil}
#%define __os_install_post %{nil}

# Set __arch_install_post to nil to disable check-rpmbuild after install,
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}

Summary: FITS Image Display and Catalog Search Tool for Astronomy
Name: skycat
Version: 3.1.2
Release: 1
License: GNU General Public License
Group: Applications/Engineering
URL: http://archive.eso.org/cms/tools-documentation/skycat
Source0: %{name}-%{version}.tar.gz
#Requires: tcl, tk, itcl, tclx, blt, tkimg
# The binary RPM requires the tcltk RPM
Requires: tcltk
BuildRequires: %{_includedir}/tk.h, %{_includedir}/tcl.h
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SkyCat is a tool that combines visualization of images and access to 
catalogs and archive data for astronomy.
Note: There is also a Java version of Skycat called JSkycat available 
as part of the JSky package.


Authors:
--------
    Allan Brighton (abrighto@eso.org)
    Thomas Herlin (therlin@eso.org)
    Miguel Albrecht (malbrech@eso.org)
    Daniel Durand (durand@dao.nrc.ca)
    Peter Biereichel (pbiereic@eso.org)

%prep
%setup -q -n %name-%version

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
mkdir build
cd build
../configure \
	--prefix=%_prefix \
	--exec_prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--with-tk=%_libdir
make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%doc CHANGES COPYING README
%{_bindir}/skycat
%{_bindir}/rtd
%{_bindir}/tRtd
%{_bindir}/rtdServer
%{_bindir}/rtdClient
%{_bindir}/rtdCubeDisplay
%{_libdir}/tclutil2.1.0
%{_libdir}/astrotcl2.1.0
%{_libdir}/rtd3.2.1
%{_libdir}/cat4.1.0
%{_libdir}/skycat3.1.2
%{_libdir}/libtclutil2.1.0.so
%{_libdir}/libastrotcl2.1.0.so
%{_libdir}/librtd3.2.1.so
%{_libdir}/libcat4.1.0.so
%{_libdir}/libskycat3.1.2.so
%{_libdir}/librtdImgEvt.a
%{_libdir}/librtdRemote.a
%{_libdir}/tclutilConfig.sh
%{_libdir}/astrotclConfig.sh
%{_libdir}/rtdConfig.sh
%{_libdir}/catConfig.sh
%{_libdir}/skycatConfig.sh
%{_includedir}/tclutil
%{_includedir}/astrotcl
%{_includedir}/rtd
%{_includedir}/cat
%{_includedir}/skycat

%post
ldconfig

%changelog
* Thu May 19 2011 Carlos Guirao <cguirao@eso.org> - 
- Fix a bug in rtd/rtdev/rtd_server.C detected on Fedora 14 with gcc 4.5.1

* Fri Jul 16 2010 Carlos Guirao <cguirao@eso.org> - 
- Using defaults /usr/local if $TCLTK_ROOT not defined

* Mon Jan 30 2006 Allan Brighton <abrighto@eso.org> - 
- Initial rpm build.

